# Type Alias WidgetWrapperGeneric<T>

type WidgetWrapperGeneric<T = CombinedWidgetType> = {
level?: WidgetWrapperLevel;
title: string;
widget: T;
}

#### Type Parameters

- T = CombinedWidgetType

- Defined in jamespot-user-api/src/types/widgets/default.ts:258

##### Index

### Properties

level?
title
widget

## Properties

### `Optional` level

level?: WidgetWrapperLevel

- Defined in jamespot-user-api/src/types/widgets/default.ts:260

### title

title: string

- Defined in jamespot-user-api/src/types/widgets/default.ts:259

### widget

widget: T

- Defined in jamespot-user-api/src/types/widgets/default.ts:261